<div class="container-fluid">
	<div class="row">
		<div class="col-12 manager-logo-header header-with-text">
			<a class="underline-link goback-link" routerLink="/task-manager">←	Volver al admin</a>
			<h1>Mis sucursales</h1>
			<p>En este espacio podrás gestionar todo lo relacionado con tus sucursales.</p>
		</div>
		<button class="btn btn-add-rest" (click)="ModalAgregarSucursal(AgregarSucursal)">Agregar un comercio <img src="/assets/icono-mas.png"></button>
	</div>
</div>

<div class="container-fluid my-rest-list">
	<div class="row">
		<div class="col-md-6 col-lg-6 col-sm-10 col-xs-10 mx-auto">
			<h3 class="purple-text">{{Nombre}}</h3>
			<p class="purple-text">En este espacio podrás agregar y editar sucursales, y asignar catálogos.</p>
			<!-- restaurant item -->
			<div class="card rest-card" *ngFor="let item of listRestaurant">
			  <div class="row g-0">
			    <div class="col-3">
			      <img src="{{item.ImagenxSucursal}}">
			    </div>
			    <div class="col-6">
			      <div class="card-body">
			        <h5 class="card-title">{{item.NombreSucursal}}</h5>
			        <p class="card-text">{{Nombre}}</p>
			        <p class="card-text"><small class="text-muted">25 productos/1 catálogos</small></p>
			      </div>
			    </div>
			    <div class="col-3 rest-card-btnbox">
			    	<div class="btn-group" >
						<button type="button" class="btn" (click)="Administrar(item)"><i class="fa fa-eye"></i></button>
						<button type="button" class="btn" (click)="Editar(item)"><i class="fa fa-edit"></i></button>
						<button type="button" class="btn" (click)="EliminarSucursal(item)"><i class="fa fa-trash"></i></button>
					  </div>
			    </div>
			  </div>
			</div>
		</div>
		
		<!-- end modal 'agregar sucursal' -->
		<div class="col-1 offset-11">
			<button class="btn btn-info">?</button>
		</div>
	</div>

</div>


<ng-template #AgregarSucursal let-modal>
	<div class="modal-header">
	  <p class="modal-title" style="display: block; margin: auto; font-size: 1.5rem; color: #1F6893;">Completa los datos
		para agregar una sucursal.</p>
	</div>
	<div class="modal-body">
	  <form #dataForm="ngForm">
  
		<h5 class="purple-text">Datos de la sucursal</h5>
		<div class="row">
		  <div class="col-12">
			<label for="fullNameOne" class="form-label">Nombre de la sucursal</label>
			<input [(ngModel)]="dataModel.NombreSucursal" type="text" class="form-control" id="fullNameOne"
			  name="fullNameOne" placeholder="Escribe tu nombre">
		  </div>
		  <div class="col-12">
			<label for="brandOne" class="form-label">Aforo</label>
			<input [(ngModel)]="dataModel.Aforo" type="text" class="form-control" id="brandOne" name="brandOne"
			  placeholder="Escribe un nombre">
		  </div>
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-9 col-form-label">Número de mesas</label>
				<div class="col-sm-3">
				  <input [(ngModel)]="dataModel.Mesas" name="mesas" style="float: right;" type="number"
					class="form-control" id="inputPassword">
				</div>
			  </div>
			</div>
		  </div>
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 10rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-7 col-form-label">Horario</label>
				<div class="col-sm-5">
				  <input [(ngModel)]="dataModel.Horario_Funcionamiento" name="horario" style="float: right;" type="time"
					class="form-control" id="inputPassword">
				</div>
			  </div>
  
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-7 col-form-label">Horario Fin</label>
				<div class="col-sm-5">
				  <input [(ngModel)]="dataModel.Horario_Funcionamiento_Fin" name="horario" style="float: right;"
					type="time" class="form-control" id="inputPassword">
				</div>
			  </div>
			  
			</div>
		  </div>
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con estacionamiento?</label>
				<div class="col-sm-4">
				  <div class="form-check form-check-inline">
					<input [(ngModel)]="dataModel.Estacionamiento_Propio" name="estac" class="form-check-input"
					  type="checkbox" id="inlineCheckbox1" value="option1">
					<label class="form-check-label" for="inlineCheckbox1">Si</label>
				  </div>
				  <div class="form-check form-check-inline">
					<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
					<label class="form-check-label" for="inlineCheckbox2">No</label>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con terraza?</label>
				<div class="col-sm-4">
				  <div class="form-check form-check-inline">
					<input [(ngModel)]="dataModel.Terraza" name="terra" class="form-check-input" type="checkbox"
					  id="inlineCheckbox1" value="option1">
					<label class="form-check-label" for="inlineCheckbox1">Si</label>
				  </div>
				  <div class="form-check form-check-inline">
					<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
					<label class="form-check-label" for="inlineCheckbox2">No</label>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
  
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-8 col-form-label">¿Es Pet friendlly?</label>
				<div class="col-sm-4">
				  <div class="form-check form-check-inline">
					<input [(ngModel)]="dataModel.Pet_Friendly" name="pet" class="form-check-input" type="checkbox"
					  id="inlineCheckbox1" value="option1">
					<label class="form-check-label" for="inlineCheckbox1">Si</label>
				  </div>
				  <div class="form-check form-check-inline">
					<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
					<label class="form-check-label" for="inlineCheckbox2">No</label>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
  
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-8 col-form-label">¿Tiene dietas especiales?</label>
				<div class="col-sm-4">
				  <div class="form-check form-check-inline">
					<input [(ngModel)]="dataModel.Dietas_Especiales" name="die" class="form-check-input" type="checkbox"
					  id="inlineCheckbox1" value="option1">
					<label class="form-check-label" for="inlineCheckbox1">Si</label>
				  </div>
				  <div class="form-check form-check-inline">
					<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
					<label class="form-check-label" for="inlineCheckbox2">No</label>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con medios de pago?</label>
				<div class="col-sm-4">
				  <div class="form-check form-check-inline">
					<input [(ngModel)]="dataModel.Medios_De_Pago" name="me" class="form-check-input" type="checkbox"
					  id="inlineCheckbox1" value="option1">
					<label class="form-check-label" for="inlineCheckbox1">Si</label>
				  </div>
				  <div class="form-check form-check-inline">
					<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
					<label class="form-check-label" for="inlineCheckbox2">No</label>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
  
		  <div class="col-12">
			<div class="form-control" style="background-color: #F3F7FA; height: 7rem; margin-top: 1rem;">
			  <div class="form-group row" style="margin-top: 1rem;">
				<label for="inputPassword" class="col-sm-7 col-form-label">Sube una foto de la sucursal</label>
				<div class="col-sm-12">
				  <input style="float: right;" type="file" class="form-control" id="inputPassword" (change)="onSelectFile($event)">
				</div>
			  </div>
			</div>
		  </div>
  
		</div>
  
	  </form>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-light" (click)="modal.close('Close click')">Cerrar</button>
	  <button type="button" class="btn btn-primary " (click)="AgregarRestaurant()">Agregar</button>
	</div>
  </ng-template>
  
  
<ng-template #EditarSucursal let-modal>
<div class="modal-header">
	<p class="modal-title" style="display: block; margin: auto; font-size: 1.5rem; color: #1F6893;">Completa los datos
	para actualizar una sucursal.</p>
</div>
<div class="modal-body">
	<form #dataForm="ngForm">

	<h5 class="purple-text">Datos de la sucursal</h5>
	<div class="row">
		<div class="col-12">
		<label for="fullNameOne" class="form-label">Nombre de la sucursal</label>
		<input [(ngModel)]="dataModel.NombreSucursal" type="text" class="form-control" id="fullNameOne"
			name="fullNameOne" placeholder="Escribe tu nombre">
		</div>
		<div class="col-12">
		<label for="brandOne" class="form-label">Aforo</label>
		<input [(ngModel)]="dataModel.Aforo" type="text" class="form-control" id="brandOne" name="brandOne"
			placeholder="Escribe un nombre">
		</div>
		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-9 col-form-label">Número de mesas</label>
			<div class="col-sm-3">
				<input [(ngModel)]="dataModel.Mesas" name="mesas" style="float: right;" type="number"
				class="form-control" id="inputPassword">
			</div>
			</div>
		</div>
		</div>

		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 9rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-7 col-form-label">Horario</label>
			<div class="col-sm-5">
				<input [(ngModel)]="dataModel.Horario_Funcionamiento" name="horario" style="float: right;" type="time"
				class="form-control" id="inputPassword">
			</div>
			</div>
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-7 col-form-label">Horario Fin</label>
			<div class="col-sm-5">
				<input [(ngModel)]="dataModel.Horario_Funcionamiento_Fin" name="horario" style="float: right;"
				type="time" class="form-control" id="inputPassword">
			</div>
			</div>
		</div>
		</div>

		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con estacionamiento?</label>
			<div class="col-sm-4">
				<div class="form-check form-check-inline">
				<input [(ngModel)]="dataModel.Estacionamiento_Propio" name="estac" class="form-check-input"
					type="checkbox" id="inlineCheckbox1" value="option1">
				<label class="form-check-label" for="inlineCheckbox1">Si</label>
				</div>
				<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
				<label class="form-check-label" for="inlineCheckbox2">No</label>
				</div>
			</div>
			</div>
		</div>
		</div>

		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con terraza?</label>
			<div class="col-sm-4">
				<div class="form-check form-check-inline">
				<input [(ngModel)]="dataModel.Terraza" name="terra" class="form-check-input" type="checkbox"
					id="inlineCheckbox1" value="option1">
				<label class="form-check-label" for="inlineCheckbox1">Si</label>
				</div>
				<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
				<label class="form-check-label" for="inlineCheckbox2">No</label>
				</div>
			</div>
			</div>
		</div>
		</div>


		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-8 col-form-label">¿Es Pet friendlly?</label>
			<div class="col-sm-4">
				<div class="form-check form-check-inline">
				<input [(ngModel)]="dataModel.Pet_Friendly" name="pet" class="form-check-input" type="checkbox"
					id="inlineCheckbox1" value="option1">
				<label class="form-check-label" for="inlineCheckbox1">Si</label>
				</div>
				<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
				<label class="form-check-label" for="inlineCheckbox2">No</label>
				</div>
			</div>
			</div>
		</div>
		</div>


		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-8 col-form-label">¿Tiene dietas especiales?</label>
			<div class="col-sm-4">
				<div class="form-check form-check-inline">
				<input [(ngModel)]="dataModel.Dietas_Especiales" name="die" class="form-check-input" type="checkbox"
					id="inlineCheckbox1" value="option1">
				<label class="form-check-label" for="inlineCheckbox1">Si</label>
				</div>
				<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
				<label class="form-check-label" for="inlineCheckbox2">No</label>
				</div>
			</div>
			</div>
		</div>
		</div>

		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-8 col-form-label">¿Cuenta con medios de pago?</label>
			<div class="col-sm-4">
				<div class="form-check form-check-inline">
				<input [(ngModel)]="dataModel.Medios_De_Pago" name="me" class="form-check-input" type="checkbox"
					id="inlineCheckbox1" value="option1">
				<label class="form-check-label" for="inlineCheckbox1">Si</label>
				</div>
				<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
				<label class="form-check-label" for="inlineCheckbox2">No</label>
				</div>
			</div>
			</div>
		</div>
		</div>

		<div class="col-12">
		<div class="form-control" style="background-color: #F3F7FA; height: 7rem; margin-top: 1rem;">
			<div class="form-group row" style="margin-top: 1rem;">
			<label for="inputPassword" class="col-sm-7 col-form-label">Sube una foto de la sucursal</label>
			<div class="col-sm-12">
				<input style="float: right;" type="file" class="form-control" id="inputPassword">
			</div>
			</div>
		</div>
		</div>

	</div>

	</form>
</div>
<div class="modal-footer">
	<button type="button" class="btn btn-light" (click)="modal.close('Close click')">Cerrar</button>
	<button type="button" class="btn btn-primary" (click)="EditarSucursales()">Actualizar</button>
</div>
</ng-template>